#!/bin/bash

# 提示用户输入第一天存钱的金额
echo "请输入第一天存钱的金额："
read first_day_amount

# 检查输入是否为有效的正整数
if ! [[ $first_day_amount =~ ^[0-9]+$ ]]; then
    echo "输入的第一天存钱金额必须是正整数，请重新运行脚本并输入正确的值。"
    exit 1
fi

# 提示用户输入天数
echo "请输入天数："
read days

# 检查输入的天数是否为有效的正整数
if ! [[ $days =~ ^[0-9]+$ ]]; then
    echo "输入的天数必须是正整数，请重新运行脚本并输入正确的值。"
    exit 1
fi

# 使用 bc 进行高精度计算总金额
# 等比数列求和公式：S = a1 * (q^n - 1) / (q - 1)，本题中 q = 2，公式简化为 S = a1 * (2^n - 1)
total_amount=$(echo "scale=0; $first_day_amount * (2 ^ $days - 1)" | bc -l)

# 输出结果
echo "经过 $days 天，总共存的金额为：$total_amount 元"
